﻿using UnityEngine;

namespace AudioMate
{
    public class ScreenClips : Screen
    {
        public new static readonly ScreenDefinition Definition = new ScreenDefinition(
            "Clips",
            "Clip Library",
            typeof(ScreenClips));

        private HorizontalButtonGroup _btnGroupAddClips;
        private UIClipLibrary _clipLibrary;

        public override void Init(AudioMateController controller)
        {
            base.Init(controller);
            //_ui.CreateHeader("Clips", 1, 0, TextAnchor.UpperLeft);
            _ui.CreateSpacer().height = 15f;
            InitAddToCollectionControlsUI();
            CreateClipLibraryUI();
            InitFileImportUI();
        }

        private void InitFileImportUI()
        {
            _ui.CreateHeader("Audio File Import", 2, 50);
            var btnGroup = _ui.CreateButtonGroup();
            btnGroup.CreateButton("Import File", Styles.Button, _c.fileManager.OpenImportFileDialog);
            btnGroup.CreateButton("Import Folder", Styles.Button, _c.fileManager.OpenImportFolderDialog);
        }

        private void CreateClipLibraryUI()
        {
            _clipLibrary = UIClipLibrary.AddTo(_ui.transform);
            _clipLibrary.Init(_c);
            _clipLibrary.Bind();
            //_clipLibrary.RefreshAll();
        }


        private void InitAddToCollectionControlsUI()
        {
            _btnGroupAddClips = _ui.CreateButtonGroup();
            _btnGroupAddClips.CreateLabel("Add");
            _btnGroupAddClips.CreateButton("10", Styles.Button, _c.collections.Add10ClipsToActiveCollection);
            _btnGroupAddClips.CreateButton("20", Styles.Button, _c.collections.Add20ClipsToActiveCollection);
            _btnGroupAddClips.CreateButton("All", Styles.Button, _c.collections.AddAllClipsToActiveCollection);
            _btnGroupAddClips.CreateLabel("\u02C3");
        }
    }
}
